Index: Makefile
===================================================================
RCS file: /cvs/ports/print/lilypond/Makefile,v
retrieving revision 1.20
diff -u -p -r1.20 Makefile
--- Makefile	26 Oct 2009 19:15:15 -0000	1.20
+++ Makefile	27 Dec 2009 10:33:08 -0000
@@ -8,7 +8,7 @@ SHARED_ONLY=		Yes
 COMMENT-main=		text based music notation system
 COMMENT-docs=		lilypond documentation
 
-VERSION=		2.12.2
+VERSION=		2.12.3
 DISTNAME=		lilypond-${VERSION}
 DISTNAME-docs=		${DISTNAME}-1.documentation
 PKGNAME-main=		lilypond-${VERSION}
@@ -87,7 +87,7 @@ post-extract:
 
 post-install:
 	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/lilypond/${VERSION}
-	umask 022 && cp -R ${WRKDIR}/docs/* \
+	umask 022 && cp -R ${WRKDIR}/docs/share/doc/lilypond/html/* \
 		${PREFIX}/share/doc/lilypond/${VERSION}
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /cvs/ports/print/lilypond/distinfo,v
retrieving revision 1.6
diff -u -p -r1.6 distinfo
--- distinfo	11 Oct 2009 18:56:21 -0000	1.6
+++ distinfo	27 Dec 2009 10:33:08 -0000
@@ -1,10 +1,10 @@
-MD5 (lilypond-2.12.2-1.documentation.tar.bz2) = g/KizW262FN5Yf7d5ob9jw==
-MD5 (lilypond-2.12.2.tar.gz) = aB377PijcQ0UAM+UiL5xaw==
-RMD160 (lilypond-2.12.2-1.documentation.tar.bz2) = VZcoVSFpE7tgsQKX8afaN61MSaA=
-RMD160 (lilypond-2.12.2.tar.gz) = DvHhy860+/aaMbAKAw7kDEKACR0=
-SHA1 (lilypond-2.12.2-1.documentation.tar.bz2) = IEbeC1CjzLqnxyDgrScP5b07lT4=
-SHA1 (lilypond-2.12.2.tar.gz) = kq/k75Jtlm54VfZK6T7nYvH6UXg=
-SHA256 (lilypond-2.12.2-1.documentation.tar.bz2) = qDW86VGdTOyKcDIiRRnbBnIssbK+3At94NhAm+QgDcQ=
-SHA256 (lilypond-2.12.2.tar.gz) = 0D33M6IZnTIIK55g+COp6h5CdNqsy4zByrDu+H+PFAw=
-SIZE (lilypond-2.12.2-1.documentation.tar.bz2) = 77128515
-SIZE (lilypond-2.12.2.tar.gz) = 4575983
+MD5 (lilypond-2.12.3-1.documentation.tar.bz2) = 96raGxo6dch8eLS32BNyyg==
+MD5 (lilypond-2.12.3.tar.gz) = 1MZmkJlGHJODsoTAnEZeVA==
+RMD160 (lilypond-2.12.3-1.documentation.tar.bz2) = iAty0Muf6l6NCT8NBuHF4kwjJss=
+RMD160 (lilypond-2.12.3.tar.gz) = oACpee/8sIND6m2OjKVm+GFbVmo=
+SHA1 (lilypond-2.12.3-1.documentation.tar.bz2) = Zis0pIF+Ze2eCPsYe8c+nVTZ/L8=
+SHA1 (lilypond-2.12.3.tar.gz) = O6L4Bi84RByZ1TpxqDRa/Q8tAgE=
+SHA256 (lilypond-2.12.3-1.documentation.tar.bz2) = aO2U8mRZSzNZdQtlkyKsKhbWhjJs6ihjWicMlBHPQXU=
+SHA256 (lilypond-2.12.3.tar.gz) = MeZ0VSvRter/HQvyp/We6ZZlSd8Haf+IdcM8+tYdmlo=
+SIZE (lilypond-2.12.3-1.documentation.tar.bz2) = 100493608
+SIZE (lilypond-2.12.3.tar.gz) = 4567440
Index: patches/patch-Documentation_macros_itexi
===================================================================
RCS file: patches/patch-Documentation_macros_itexi
diff -N patches/patch-Documentation_macros_itexi
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-Documentation_macros_itexi	27 Dec 2009 10:33:08 -0000
@@ -0,0 +1,62 @@
+$OpenBSD$
+
+We don't have bleeding-edge makeinfo.
+
+--- Documentation/macros.itexi.orig	Tue Dec 15 19:58:57 2009
++++ Documentation/macros.itexi	Sun Dec 20 21:02:53 2009
+@@ -13,17 +13,6 @@
+ 
+ @c   ***** Displaying text *****
+ 
+-@c To get decent quotes in `foo' and ``foo''.
+-
+-@macro q{TEXT}
+-@quoteleft{}\TEXT\@quoteright{}
+-@end macro
+-
+-@macro qq{TEXT}
+-@quotedblleft{}\TEXT\@quotedblright{}
+-@end macro
+-
+-
+ @ifhtml
+ 
+ @macro warning{TEXT}
+@@ -32,6 +21,20 @@
+ @end cartouche
+ @end macro
+ 
++@c to get decent quotes in `foo'
++@macro q{TEXT}
++@html
++&lsquo;\TEXT\&rsquo;
++@end html
++@end macro
++
++@c to get decent quotes in ``foo''
++@macro qq{TEXT}
++@html
++&ldquo;\TEXT\&rdquo;
++@end html
++@end macro
++
+ @end ifhtml
+ 
+ @ifnothtml
+@@ -44,6 +47,16 @@
+ @end cartouche
+ @end quotation
+ @end quotation
++@end macro
++
++@c to get decent quotes in `foo'
++@macro q{TEXT}
++`\TEXT\'
++@end macro
++
++@c to get decent quotes in ``foo''
++@macro qq{TEXT}
++``\TEXT\''
+ @end macro
+ 
+ @end ifnothtml
Index: patches/patch-Documentation_user_GNUmakefile
===================================================================
RCS file: patches/patch-Documentation_user_GNUmakefile
diff -N patches/patch-Documentation_user_GNUmakefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-Documentation_user_GNUmakefile	27 Dec 2009 10:33:08 -0000
@@ -0,0 +1,12 @@
+$OpenBSD$
+--- Documentation/user/GNUmakefile.orig	Tue Dec 15 19:58:57 2009
++++ Documentation/user/GNUmakefile	Sat Dec 26 21:11:29 2009
+@@ -143,7 +143,7 @@ $(outdir)/lilypond.texi: $(outdir)/ly-grammar.txt
+ 
+ $(outdir)/ly-grammar.txt: $(top-src-dir)/lily/parser.yy
+ 	cd $(outdir) && $(BISON) -v $<
+-	$(auxscript-dir)/yyout2grammar.py $(outdir)/parser.output $@
++	$(PYTHON) $(auxscript-dir)/yyout2grammar.py $(outdir)/parser.output $@
+ 
+ # There used to be a dependency on a dummy target, to force a rebuild
+ # of lilypond-internals every time.  however, this triggers
Index: patches/patch-GNUmakefile_in
===================================================================
RCS file: /cvs/ports/print/lilypond/patches/patch-GNUmakefile_in,v
retrieving revision 1.3
diff -u -p -r1.3 patch-GNUmakefile_in
--- patches/patch-GNUmakefile_in	11 Oct 2009 18:56:21 -0000	1.3
+++ patches/patch-GNUmakefile_in	27 Dec 2009 10:33:08 -0000
@@ -2,9 +2,9 @@ $OpenBSD: patch-GNUmakefile_in,v 1.3 200
 
 # No rsync, just use pax(1).
 
---- GNUmakefile.in.orig	Tue Jan 20 13:31:56 2009
-+++ GNUmakefile.in	Wed Feb  4 20:21:26 2009
-@@ -73,6 +73,8 @@ install-help2man:
+--- GNUmakefile.in.orig	Tue Dec 15 19:58:57 2009
++++ GNUmakefile.in	Sun Dec 20 20:57:35 2009
+@@ -101,6 +101,8 @@ ifeq ($(out),www)
  install-WWW:
  	-$(INSTALL) -m 755 -d $(DESTDIR)$(webdir)
  	rsync -rl --exclude='*.signature' $(outdir)/offline-root/ $(DESTDIR)$(webdir)
@@ -12,4 +12,4 @@ $OpenBSD: patch-GNUmakefile_in,v 1.3 200
 +		$(outdir)/offline-root $(DESTDIR)$(webdir)
  
  install-info-WWW:
- 	$(MAKE) -C Documentation/user install-info
+ 	$(foreach d, $(INFO_DIRECTORIES),$(MAKE) -C $(d) install-info && ) true
Index: patches/patch-configure_in
===================================================================
RCS file: /cvs/ports/print/lilypond/patches/patch-configure_in,v
retrieving revision 1.2
diff -u -p -r1.2 patch-configure_in
--- patches/patch-configure_in	11 Oct 2009 18:56:21 -0000	1.2
+++ patches/patch-configure_in	27 Dec 2009 10:33:08 -0000
@@ -2,8 +2,8 @@ $OpenBSD: patch-configure_in,v 1.2 2009/
 
 # Builds fine with gcc 3.3.5 and makeinfo-4.8.
 
---- configure.in.orig	Mon Jan 19 01:04:56 2009
-+++ configure.in	Wed Feb  4 20:30:20 2009
+--- configure.in.orig	Tue Dec 15 19:58:57 2009
++++ configure.in	Sun Dec 20 20:58:27 2009
 @@ -90,10 +90,10 @@ AC_MSG_RESULT($NCSB_SOURCE_FILES)
  
  
@@ -23,6 +23,6 @@ $OpenBSD: patch-configure_in,v 1.2 2009/
  
 -STEPMAKE_PROGS(MAKEINFO, makeinfo, REQUIRED, 4.11)
 +STEPMAKE_PROGS(MAKEINFO, makeinfo, REQUIRED, 4.8)
- STEPMAKE_PROGS(TEXI2HTML, texi2html, OPTIONAL, 1.79)
+ STEPMAKE_PROGS(TEXI2HTML, texi2html, OPTIONAL, 1.80)
  
  AC_DEFINE_UNQUOTED(FLOWER_VERSION, "${FULL_FLOWER_VERSION}")
Index: patches/patch-stepmake_aclocal_m4
===================================================================
RCS file: /cvs/ports/print/lilypond/patches/patch-stepmake_aclocal_m4,v
retrieving revision 1.2
diff -u -p -r1.2 patch-stepmake_aclocal_m4
--- patches/patch-stepmake_aclocal_m4	6 Jun 2007 20:36:23 -0000	1.2
+++ patches/patch-stepmake_aclocal_m4	27 Dec 2009 10:33:08 -0000
@@ -1,43 +1,23 @@
 $OpenBSD: patch-stepmake_aclocal_m4,v 1.2 2007/06/06 20:36:23 kili Exp $
 
-# Make the version check more robust against multiple line output
-# for $whatever --version, and use awk(1) instead of sh(1) for
-# comparing version numbers (it fails for fontforge, since our sh(1)
-# doesn't yet have 64-bit arithmetic).
+# Fix a GNUism (\| in BREs) in the version check.
 
---- stepmake/aclocal.m4.orig	Tue May  1 17:28:45 2007
-+++ stepmake/aclocal.m4	Sun May  6 17:57:23 2007
-@@ -32,9 +32,14 @@ AC_DEFUN(STEPMAKE_GET_VERSION, [
+--- stepmake/aclocal.m4.orig	Tue Dec 15 19:58:57 2009
++++ stepmake/aclocal.m4	Sun Dec 27 09:42:33 2009
+@@ -32,9 +32,13 @@ AC_DEFUN(STEPMAKE_GET_VERSION, [
      ## for compatibility reasons.
      
      ## grab the first version number in  --version output.
 -    eval _ver=\"\`("$1" --version || "$1" -V) 2>&1 | grep '\(^\| \)[0-9][0-9]*\.[0-9]' \
 -        | head -n 1 \
 -	| tr ' ' '\n' | sed 's/\([0-9][0-9]*\.[0-9][0-9.]*\).*/\1/g' | grep '\(^\| \)[0-9][0-9]*\.[0-9]' | head -n 1\`\"
-+    eval '_ver=\`'"$1"' --version 2>&1\` || _ver=\`'"$1"' -V 2>&1\` &&
-+	 _ver=\`echo $_ver |
-+	 	grep '\''[0-9]\.[0-9]'\'' |
-+        	head -n 1 |
-+		tr '\'' '\'' '\''\n'\'' |
-+		grep '\''[0-9]\.[0-9]'\'' |
++    eval _ver=\"\`("$1" --version || "$1" -V) 2>&1 |
++		grep -E '(^| )[0-9][0-9]*\.[0-9]' |
 +		head -n 1 |
-+		sed '\''s/\([0-9.]*\).*/\1/g'\''\`'
++		tr ' ' '\n' |
++		sed 's/\([0-9][0-9]*\.[0-9][0-9.]*\).*/\1/g' |
++		grep -E '(^| )[0-9][0-9]*\.[0-9]' |
++		head -n 1\`\"
  
      if test -z "$_ver"; then
          ## If empty, try date [fontforge]
-@@ -49,12 +54,9 @@ AC_DEFUN(STEPMAKE_GET_VERSION, [
- # Calculate simplistic numeric version from version string ($1)
- # As yet, we have no need for something more elaborate.
- AC_DEFUN(STEPMAKE_NUMERIC_VERSION, [
--    echo "$1" | awk -F. '
--    {
--      if ([$]3) {three = [$]3}
--      else {three = 0}
--    }
--    {printf "%.0f\n", [$]1*1000000 + [$]2*1000 + three}'
-+	echo "$1" | awk -F. '
-+	  NF==1 {print; next}
-+	  {printf "%.0f\n", [$]1*1000000 + [$]2*1000 + [$]3}'
- ])
- 
- 
